Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 3720)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 3721)
@@ -1311,9 +1311,9 @@
 	 */
 	public static void dump(IScopeContext scope, String nodePath) {
 		IEclipsePreferences preferences = scope.getNode(nodePath);
-		System.out.println("TXMPreferences.dump(): ***************************************************************");
-		System.out.println("TXMPreferences.dump(): node qualifier = " + nodePath);
-		System.out.println("TXMPreferences.dump():" + preferences.absolutePath());
+		System.out.println("TXMPreferences.dump(): ***************************************************************"); //$NON-NLS-1$
+		System.out.println("TXMPreferences.dump(): node qualifier = " + nodePath); //$NON-NLS-1$
+		System.out.println("TXMPreferences.dump():" + preferences.absolutePath()); //$NON-NLS-1$
 		try {
 			String[] keys = preferences.keys();
 			for (int i = 0; i < keys.length; i++) {
@@ -1348,14 +1348,33 @@
 		return preferences.keys();
 	}
 	
+	/**
+	 * 
+	 * @param nodePath
+	 * @return
+	 * @throws BackingStoreException
+	 */
 	public static String[] getCommandScopeKeys(String nodePath) throws BackingStoreException {
 		return getKeys(InstanceScope.INSTANCE, nodePath);
 	}
 	
+	/**
+	 * 
+	 * @param nodePath
+	 * @return
+	 * @throws BackingStoreException
+	 */
 	public static String[] getDefaultScopeKeys(String nodePath) throws BackingStoreException {
 		return getKeys(DefaultScope.INSTANCE, nodePath);
 	}
 	
+	/**
+	 * Gets the keys and values of the specified node path in the specified scope context as Map.
+	 * 
+	 * @param scope
+	 * @param nodePath
+	 * @return
+	 */
 	public static HashMap<String, Object> getKeysAndValuesAsMap(IScopeContext scope, String nodePath) {
 		
 		HashMap<String, Object> str = new HashMap<>();
@@ -1377,6 +1396,12 @@
 		return str;
 	}
 	
+	/**
+	 * Gets the keys and values of the specified node path as string.
+	 * 
+	 * @param nodePath
+	 * @return
+	 */
 	public static String getKeysAndValues(String nodePath) {
 		
 		StringBuilder str = new StringBuilder();
@@ -1415,25 +1440,25 @@
 		// result scope node
 		if (result != null) {
 			if (resultScopeNodeExists(result)) {
-				Log.finest("TXMPreferences.dump(): Result scope preferences for node " + result.getParametersNodePath() + ":");
+				Log.finest("TXMPreferences.dump(): Result scope preferences for node " + result.getParametersNodePath() + ":"); //$NON-NLS-1$ //$NON-NLS-2$
 				dump(result.getParametersNodePath());
 			}
 			else {
-				Log.severe("TXMPreferences.dump(): No result scope preferences was found for node" + result.getParametersNodePath() + ".");
+				Log.severe("TXMPreferences.dump(): No result scope preferences was found for node" + result.getParametersNodePath() + "."); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		}
 		// command scope node
 		if (nodePath != null) {
-			Log.finest("TXMPreferences.dump(): Command scope preferences for node " + nodePath + ":");
+			Log.finest("TXMPreferences.dump(): Command scope preferences for node " + nodePath + ":"); //$NON-NLS-1$ //$NON-NLS-2$
 			dump(nodePath);
 		}
 		else {
-			Log.finest("TXMPreferences.dump(): No Command scope was asked to dump.");
+			Log.finest("TXMPreferences.dump(): No Command scope was asked to dump."); //$NON-NLS-1$
 		}
 		
 		// alternative global scope nodes
 		for (int i = 0; i < alternativeNodesQualifiers.size(); i++) {
-			Log.finest("TXMPreferences.dump(): Alternative global scope preferences for node " + alternativeNodesQualifiers.get(i) + ":");
+			Log.finest("TXMPreferences.dump(): Alternative global scope preferences for node " + alternativeNodesQualifiers.get(i) + ":"); //$NON-NLS-1$ //$NON-NLS-2$
 			dump(alternativeNodesQualifiers.get(i));
 		}
 	}
@@ -1447,7 +1472,7 @@
 	 */
 	public static void delete(TXMResult result) {
 		delete(preferencesRootNode.node(result.getParametersNodePath()));
-		Log.finest("TXMPreferences.delete(): Local preferences node for object " + result.getParametersNodePath() + " deleted.");
+		Log.finest("TXMPreferences.delete(): Local preferences node for object " + result.getParametersNodePath() + " deleted."); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	
